## mx4j.tools.adaptor.ssl
Class SSLAdaptorServerSocketFactoryMBeanDescription

    java.lang.Object
      mx4j.MBeanDescriptionAdapter
          mx4j.tools.adaptor.ssl.SSLAdaptorServerSocketFactoryMBeanDescription

All Implemented Interfaces:
  MBeanDescription

public class SSLAdaptorServerSocketFactoryMBeanDescription
extends MBeanDescriptionAdapter

Version:
  $Revision: 1.3 $

Constructor Summary
`SSLAdaptorServerSocketFactoryMBeanDescription()`

Method Summary
`java.lang.String` `getAttributeDescription(java.lang.String attribute)` Should return the description for the specified attribute.
`java.lang.String` `getConstructorDescription(java.lang.reflect.Constructor ctor)` Should return the description for the given constructor of the MBean.
`java.lang.String` `getMBeanDescription()` Should return the description of the MBean.
`java.lang.String` `getOperationDescription(java.lang.reflect.Method operation)` Should return the description for the specified operation.
`java.lang.String` `getOperationParameterDescription(java.lang.reflect.Method method, int index)` Should return the description for the operations's parameter for the given operation and parameter index.
`java.lang.String` `getOperationParameterName(java.lang.reflect.Method method, int index)` Should return the name of the operation's parameter for the given operation and parameter index.

Methods inherited from class mx4j.MBeanDescriptionAdapter
`getConstructorParameterDescription, getConstructorParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLAdaptorServerSocketFactoryMBeanDescription

    public SSLAdaptorServerSocketFactoryMBeanDescription()

Method Detail

### getMBeanDescription

    public java.lang.String getMBeanDescription()

  Description copied from interface: `MBeanDescription`
  Should return the description of the MBean. For example: "This MBean is the rmiregistry service"

  Specified by:
    `getMBeanDescription` in interface `MBeanDescription`
  Overrides:
    `getMBeanDescription` in class `MBeanDescriptionAdapter`

### getConstructorDescription

    public java.lang.String getConstructorDescription(java.lang.reflect.Constructor ctor)

  Description copied from interface: `MBeanDescription`
  Should return the description for the given constructor of the MBean. For example: "Creates an rmiregistry instance on the specified port"

  Specified by:
    `getConstructorDescription` in interface `MBeanDescription`
  Overrides:
    `getConstructorDescription` in class `MBeanDescriptionAdapter`

### getAttributeDescription

    public java.lang.String getAttributeDescription(java.lang.String attribute)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified attribute. For example: "The port on which the rmiregistry will wait on for client requests"

  Specified by:
    `getAttributeDescription` in interface `MBeanDescription`
  Overrides:
    `getAttributeDescription` in class `MBeanDescriptionAdapter`

### getOperationDescription

    public java.lang.String getOperationDescription(java.lang.reflect.Method operation)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified operation. For example: "Binds the given object to the given name"

  Specified by:
    `getOperationDescription` in interface `MBeanDescription`
  Overrides:
    `getOperationDescription` in class `MBeanDescriptionAdapter`

### getOperationParameterName

    public java.lang.String getOperationParameterName(java.lang.reflect.Method method,
                                                      int index)

  Description copied from interface: `MBeanDescription`
  Should return the name of the operation's parameter for the given operation and parameter index. For example: "bindName"

  Specified by:
    `getOperationParameterName` in interface `MBeanDescription`
  Overrides:
    `getOperationParameterName` in class `MBeanDescriptionAdapter`

### getOperationParameterDescription

    public java.lang.String getOperationParameterDescription(java.lang.reflect.Method method,
                                                             int index)

  Description copied from interface: `MBeanDescription`
  Should return the description for the operations's parameter for the given operation and parameter index. For example: "The name to which the object will be bound to"

  Specified by:
    `getOperationParameterDescription` in interface `MBeanDescription`
  Overrides:
    `getOperationParameterDescription` in class `MBeanDescriptionAdapter`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.